@@ -3210,13 +3329,14 @@
   
   In this thesis you have seen the =CORTEX= system, a complete
   environment for creating simulated creatures. You have seen how to
-  implement five senses including touch, proprioception, hearing,
-  vision, and muscle tension. You have seen how to create new creatues
-  using blender, a 3D modeling tool. I hope that =CORTEX= will be
-  useful in further research projects. To this end I have included the
-  full source to =CORTEX= along with a large suite of tests and
-  examples. I have also created a user guide for =CORTEX= which is
-  inculded in an appendix to this thesis.
+  implement five senses: touch, proprioception, hearing, vision, and
+  muscle tension. You have seen how to create new creatues using
+  blender, a 3D modeling tool. I hope that =CORTEX= will be useful in
+  further research projects. To this end I have included the full
+  source to =CORTEX= along with a large suite of tests and examples. I
+  have also created a user guide for =CORTEX= which is inculded in an
+  appendix to this thesis \ref{}.
+# dxh: todo reference appendix
 
   You have also seen how I used =CORTEX= as a platform to attach the
   /action recognition/ problem, which is the problem of recognizing

@@ -2888,7 +3007,7 @@
    #+end_src
    #+end_listing
   
-** Efficient action recognition with =EMPATH=
+** =EMPATH= recognizes actions efficiently
    
    To use =EMPATH= with the worm, I first need to gather a set of
    experiences from the worm that includes the actions I want to

@@ -3044,9 +3163,9 @@
   to interpretation, and dissaggrement between empathy and experience
   is more excusable.
 
-** Digression: bootstrapping touch using free exploration
-
-   In the previous section I showed how to compute actions in terms of
+** Digression: Learn touch sensor layout through haptic experimentation, instead 
+# Boostraping touch using free exploration   
+In the previous section I showed how to compute actions in terms of
    body-centered predicates which relied averate touch activation of
    pre-defined regions of the worm's skin. What if, instead of recieving
    touch pre-grouped into the six faces of each worm segment, the true

@@ -2193,7 +2311,7 @@
     #+ATTR_LaTeX: :width 11cm
     [[./images/proprio.png]]
 
-** Muscles are both effectors and sensors
+** Muscles contain both sensors and effectors
 
    Surprisingly enough, terrestrial creatures only move by using
    torque applied about their joints. There's not a single straight

@@ -2059,7 +2177,7 @@
     #+ATTR_LaTeX: :width 15cm
     [[./images/touch-cube.png]]
 
-** Proprioception is the sense that makes everything ``real''
+** Proprioception provides knowledge of your own body's position
 
    Close your eyes, and touch your nose with your right index finger.
    How did you do it? You could not see your hand, and neither your

@@ -1257,8 +1375,8 @@
     community and is now (in modified form) part of a system for
     capturing in-game video to a file.
 
-** Hearing is hard; =CORTEX= does it right
-   
+** ...but hearing must be built from scratch
+# is hard; =CORTEX= does it right
    At the end of this section I will have simulated ears that work the
    same way as the simulated eyes in the last section. I will be able to
    place any number of ear-nodes in a blender file, and they will bind to

@@ -1565,7 +1683,7 @@
     jMonkeyEngine3 community and is used to record audio for demo
     videos.
 
-** Touch uses hundreds of hair-like elements
+** Hundreds of hair-like elements provide a sense of touch
 
    Touch is critical to navigation and spatial reasoning and as such I
    need a simulated version of it to give to my AI creatures.

@@ -956,7 +1074,7 @@
     #+ATTR_LaTeX: :width 15cm
     [[./images/physical-hand.png]]
 
-** Eyes reuse standard video game components
+** Sight reuses standard video game components...
 
    Vision is one of the most important senses for humans, so I need to
    build a simulated sense of vision for my AI. I will do this with
@@ -459,8 +577,8 @@
    simulations of very simple creatures in =CORTEX= generally run at
    40x on my machine!
 
-** What is a sense?
-   
+** All sense organs are two-dimensional surfaces
+# What is a sense?   
    If =CORTEX= is to support a wide variety of senses, it would help
    to have a better understanding of what a ``sense'' actually is!
    While vision, touch, and hearing all seem like they are quite
